Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597174 - The category context has auto complete values in lower case which does not work in case of exact match search.
Summary: The category context has auto complete values in lower case which does not wo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks: rhq_triage jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-05-28 10:09 UTC by Sunil Kondkar
Modified: 2010-08-12 16:53 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:53:21 UTC


Attachments (Terms of Use)
screenshot for category context autocomplete values (deleted)
2010-05-28 10:10 UTC, Sunil Kondkar
no flags Details

Description Sunil Kondkar 2010-05-28 10:09:23 UTC
Description of problem:

Jon build#172 (Revision: 10621)

The category context has auto complete values in lower case as 'platform', 'server' and 'service'. If a user enters a search criteria which is a exact match for values (like 'category=='), the auto completion values displayed are in lower case.

If user selects a value say 'category=="server" , it does not return any result as column values are in capital letters.(SERVER). 

Please refer the screenshot attached.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:

1.Login to jon.
2.Navigate to 'Resources->All Resources' tab.
3.Enter search criteria as for exact match search for category context (Ex: category==)
4.Look for autocompletion values.
5.Select a value (Ex: category=="server")
6.Click on GO button.
  
Actual results:
It does not return any result as column values are in upper case and auto completion values are in lower case.

Expected results:
Auto complete values should be upper case.

Additional info:

Comment 1 Sunil Kondkar 2010-05-28 10:10:53 UTC
Created attachment 417548 [details]
screenshot for category context autocomplete values

Comment 2 Joseph Marques 2010-05-28 16:03:13 UTC
The suggestions were provided in lower-case intentionally for two reasons:

* reading ease -- figured visual processing of "server" was easier than "SERVER"
* consistency -- some enums in the codebase have a camelCase style, while others are CAPS.  all enum suggestions are provided as lowercase to unify this.

How do others think this should work?

Comment 3 Joseph Marques 2010-06-25 04:44:30 UTC
commit cba42b61bc8ba3b9b2aaf1afe76754f0f398d850
Author: Joseph Marques <joseph@redhat.com>
Date:   Fri Jun 25 00:38:22 2010 -0400

    BZ-597174: make category filter more lenient for resource-based searching

-----

this fix maintains the lower-case suggestions for enum-based filters like 'category', but the query translator uses more lenient matching in order to find the correct enum value to filter by regardless of case-sensitivity.

Comment 4 Joseph Marques 2010-06-25 04:48:18 UTC
commit 4876619ad4df851263624fcf54687c23559b8eaf
Author: Joseph Marques <joseph@redhat.com>
Date:   Fri Jun 25 00:43:57 2010 -0400

    BZ-597174: make category filter more lenient for group-based searching

-----

QA for this should test the 'category' filter for both resources and groups

Comment 5 Sunil Kondkar 2010-06-29 10:15:08 UTC
Verified on JON 2.4 GA_QA build#43

The 'category' filter gives results for both resources and groups searches regardless of case-sensitivity:
Ex: category=="server"
category=="SERVER"

Comment 6 Corey Welton 2010-08-12 16:53:21 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.